## openldap 2.4.15

=== contrib/slapd-modules/nops/Makefile ===
# $OpenLDAP: pkg/ldap/contrib/slapd-modules/nops/Makefile,v 1.1.2.3 2009/02/02 18:32:58 quanah Exp $
CPPFLAGS+=-I../../../include -I../../../servers/slapd 
CPPFLAGS+=-DSLAPD_OVER_NOPS=SLAPD_MOD_DYNAMIC
LIBS=-lldap_r -llber -lcrypto

all: nops.la

nops.lo:    nops.c
	$(LIBTOOL) --mode=compile $(CC) $(CPPFLAGS) -c $?

nops.la:    nops.lo
	$(LIBTOOL) --mode=link $(CC) -version-info 0:0:0 \
		   -rpath $(PREFIX)/lib -module -o $@ $? $(LIBS)

clean:
	rm nops.lo nops.la

## openldap 1.2.12-1

=== debian/changelog ===
openldap (1:1.2.12-1) stable; urgency=high

  * Upstream bug-fix release for security problems

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 20 Jul 2001 00:38:25 +0200

openldap (1:1.2.11-1) frozen unstable; urgency=low

  * New upstream bug-fix release. Entire changelog:
        CVS Tag: OPENLDAP_REL_ENG_1_2_11
        Fixed /tmp races in ud, ldapsearch, ldbmtest and slurpd
        Fixed error in slurpd's filecheck function
        Fixed slurpd to properly restart in oneshot mode, and to report a
                non-zero number of items to process with only one replica.
        Fixed strdup use in libldap/request.c
        Fixed NULL prefix bug in libldap/ufn.c
        Fixed slapd_shutdown extern reference bug (ITS#527)
        Fixed ACL groups member matching
        Raise MAXDBCACHE to 128 (ITS#512)
        Fixed slapd client_addr crash (ITS#579)
        Fixed back-shell realloc bug (ITS#506)
        Build Environment
                Update res_search detection
                Detect and use getpassphrase() and getpass()
                Unset CDPATH
                Change GNU Pth to enable soft syscalls
                Changed RCPT cmds symbol to avoid link conflict (ITS#526)
                Changed LDBM directory to $localstatedir/openldap-ldbm
  * R.M. - This fixes a lot of security bugs, some of which were simply an
    upstream merge of my changes. I think we need this release because it is
    the official upstream version that applies these fixes.
  * Fixed typo in Netscape-Roaming-HOWTO, closes: #64331
  * Applied ber unaligned fixes for alpha from David Huggins,
    closes: #63185
  * openldapd.config: added extra check for reconfig, closes: #64374
  * Updates debian.{oc,at}.conf (non-functional changes)

 -- Ben Collins <bcollins@debian.org>  Wed, 14 Jun 2000 10:51:24 -0400

openldap (1:1.2.10-3) frozen unstable; urgency=low

  * Fix all /tmp races (bad bad bad) per RHAT advisory

 -- Ben Collins <bcollins@debian.org>  Fri, 21 Apr 2000 20:15:52 -0400

openldap (1:1.2.10-2) frozen unstable; urgency=low

  * libopenldap-runtime: need not depend on debconf at all, closes: #61595

 -- Ben Collins <bcollins@debian.org>  Tue,  4 Apr 2000 13:37:57 -0400

openldap (1:1.2.10-1) frozen unstable; urgency=low

  * New upstream (bug fix) release, complete CHANGES for this release:
    (items marked with '+' are important to Debian version)
        Add slapd -DSLAPD_UNDEFINED_OC_IS_NOT_EXTENSIBLE macro disable
                undefined object classes implies extensible object behavior.
        Add GNU Pth support (ITS#453)
        Fixed -lldap Kerberos bind to work ldap_init() (ITS#426)
     +  Changed -lldap to ignore space in filter: ( !(foo=bar)) (ITS#459)
     +  Fixed multiple password support (ITS#464)
     +  Fixed -lldap chasing of delete referrals (ITS#471)
     +  Fixed back-ldbm/bind invalid credentials vs no such object bug
     +  Fixed slapd str2entry uninitialized variable bug (ITS#482)
     +  Fixed back-ldbm/modify mutlivalued indexing bug
     +  Fixed -llber seqorset buffer overrun bug (ITS#479)
        Build Environment
                Do not list unsupported LDBM API option NDBM
                Allow DEFAULT_DB_PAGE_SIZE to be defined at build time
  * openldapd/config: Fix reuse of password template, closes: #61291
  * resolved in previous upload, closes: #56974
  * Added small patch for netscape address book objectclass, closes: #61318
  * openldapd: now provides slapd and ldap-server (will be needed for
    woody upgrades when openldap2 comes around)

 -- Ben Collins <bcollins@debian.org>  Fri, 31 Mar 2000 12:49:07 -0500

openldap (1:1.2.9-5) frozen unstable; urgency=low

  * debian/openldapd.in: stupid perl, "last" works in while() loops but no
    in do{}while(); loops. Closes a serious bug (that was never filed by the
    finder, but it's serious any way ;) Basically makes openldapd fail the
    configure phase.

 -- Ben Collins <bcollins@debian.org>  Mon, 20 Mar 2000 12:57:21 -0500

openldap (1:1.2.9-4) frozen unstable; urgency=low

  * s/break/last/ in openldap.config: Fixes some serious loops in the
    debconf config. The bugs are already (errantly) closed, so there is no
    reference number. Trust me, it's serious though :)

 -- Ben Collins <bcollins@debian.org>  Tue, 14 Mar 2000 10:12:49 -0500

openldap (1:1.2.9-3) frozen unstable; urgency=low

  * Use killall to kill slurpd instead of start-stop-daemon since it will
    not accept simply the name of the program to kill, closes: #59012
  * Make openldapd depend on sed (>= 3.02-1), closes: #58736, #56199
  * Fix reference to ud(1) in ud.conf(5), closes: #55290
  * Really fix loops in openldapd.config, really closes: #55635
  * Fixed mispellings in netscape_romaing oc file, closes: #58995

 -- Ben Collins <bcollins@debian.org>  Mon, 28 Feb 2000 08:04:04 -0500

openldap (1:1.2.9-2) frozen unstable; urgency=low

  * Added Netscape-Roaming-HOWTO to doc directory for openldapd
  * Compiled with --enable-shell, closes: #45148
  * openldap init.d: don't check for --exec when stopping,
    closes: #58283, #58143
  * Cleaned up host+domain stuff in openldapd.config, closes: #56926
  * Completely rid libopenldap-runtime of debconf support until I can make
    it work a little better.
  * Re-enable debug, and set default loglevel to 0 in slapd.conf

 -- Ben Collins <bcollins@debian.org>  Fri, 18 Feb 2000 15:01:37 -0500

openldap (1:1.2.9-1) frozen unstable; urgency=low

  * New upstream version (this version mainly merges many of my own
    patches, so it is not a major change in the source from 1.2.8)
  * Set severity on password messages in .config to critical, this fixes
    several bugs that should have been filed as RC, but no one did (they
    just emailed me, and I didn't have a chance to file the bug), closes
    something.

 -- Ben Collins <bcollins@debian.org>  Thu, 10 Feb 2000 14:16:28 -0500

openldap (1:1.2.8-7) frozen unstable; urgency=low

  * Disable debugging, closes: #55825


=== debian/control ===
Source: openldap
Section: net
Priority: extra
Maintainer: Ben Collins <bcollins@debian.org>
Standards-Version: 3.0.1.1

Package: openldapd
Section: net
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, debconf (>= 0.2.50), fileutils (>= 4.0i-1), psmisc, sed (>= 3.02-1)
Suggests: openldap-guide
Conflicts: umich-ldapd
Provides: slapd, ldap-server
Description: OpenLDAP server (slapd).
 This is the OpenLDAP (Lightweight Directory Access Protocol) standalone
 server (slapd). The server can be used to provide a standalone directory
 service and also includes the slurpd replication server and centipede.

Package: openldap-utils
Section: net
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: umich-ldap-utils
Description: OpenLDAP utilities.
 Utilities from the OpenLDAP (Lightweight Directory Access Protocol)
 package. These utilities can access a local or remote LDAP server
 and contain all the client programs required to access LDAP servers.

Package: openldap-gateways
Section: net
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: OpenLDAP Gateways
 These programs provide directory interaction (gateways) with your
 existing servers. They include fax, finger, gopher and mail gateways,
 aswell as some useful utilities.

Package: libopenldap-runtime
Section: libs
Priority: important
Architecture: all
Replaces: libopenldap1
Description: OpenLDAP runtime files for libopenldap
 Contains runtime configuration files and man pages for the OpenLDAP
 libraries.

Package: libopenldap1
Section: libs
Priority: important
Architecture: any
Depends: ${shlibs:Depends}, libopenldap-runtime
Replaces: openldap-utils
Description: OpenLDAP libraries.
 These are the run-time libraries for the OpenLDAP (Lightweight Directory
 Access Protocol) servers and clients.

Package: libopenldap-dev
Section: devel
Priority: extra
Architecture: any
Conflicts: libopenldap1-dev
Replaces: libopenldap1-dev
Provides: libopenldap1-dev
Depends: libopenldap1 (= ${Source-Version})
Description: OpenLDAP development libraries.
 This package allows development of LDAP applications using the OpenLDAP
 libraries. It includes headers, libraries and links to allow static and
 dynamic linking.

Package: ldap-rfc
Section: net
Priority: extra
Architecture: all
Description: LDAP Related RFC's from OpenLDAP package
 This is a complete collection of LDAP related RFC's obtained from the
 OpenLDAP source distribution. They are not OpenLDAP specific and relate
 to the LDAP protocol in general including some LDAPv3 information.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

package = openldap

CFLAGS := -O2
IE := install -m755 -s
ID := install -m644

# Some special build options
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g
  ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
    IE := install -m755
  endif
endif

# the dbs rules
TAR_DIR := openldap-1.2.12
include debian/scripts/dbs-build.mk

# dpkg-arch rules
ifeq (,$(DEB_BUILD_GNU_TYPE))
  include debian/scripts/dpkg-arch.mk
endif

gwdoc	:= debian/openldap-gateways/usr/share/doc/openldap-gateways

# We need this version to make sure debconf works
dh_version  := 2.0.54

# Generate the files that debhelper uses
dh_mak_deps := $(shell perl debian/scripts/dh_split makedeps)
dh_gen_deps := $(shell perl debian/scripts/dh_split gendeps)

# Right now i386 and m68k remain at db1 until I come up with an upgrade
# path. Even though the db formats are compatible, slapd tries to use
# features in db2 that wont work on db2 database files, and thus it will
# fail.
ifneq (,$(findstring $(DEB_HOST_GNU_TYPE),$(patsubst %,%-linux,m68k i386)))
    ldbm_api=db
else
    ldbm_api=db2
endif

build: $(STAMP_DIR)/pre-build-stamp $(STAMP_DIR)/build-stamp
$(STAMP_DIR)/pre-build-stamp: $(patched) $(BUILD_TREE)/configure
	dh_testdir
	cd $(BUILD_TREE) && CFLAGS="$(CFLAGS)" ./configure --enable-shared \
		--prefix=/usr --enable-wrappers --without-kerberos \
		--enable-cldap --enable-passwd --enable-ldbm \
		--enable-aclgroups --localstatedir=/var --with-isode \
		--sysconfdir=/etc --with-ldbm-api=$(ldbm_api) \
		--libexecdir=/usr/sbin --mandir=/usr/share/man --enable-debug \
		--enable-shell \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) && \
		sed < libtool > libtool-2 \
		-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
		-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'; \
		mv -f libtool-2 libtool; \
		chmod 755 libtool; \
		$(MAKE) depend
	touch $(STAMP_DIR)/pre-build-stamp

$(BUILD_TREE)/configure: $(BUILD_TREE)/configure.in
	cd $(BUILD_TREE) && autoconf

$(STAMP_DIR)/build-stamp:
	dh_testdir
	cd $(BUILD_TREE) && $(MAKE)
	touch $(STAMP_DIR)/build-stamp

clean:
	dh_testdir
	rm -rf $(SOURCE_DIR) $(STAMP_DIR)
	perl debian/scripts/dh_split clean
	dh_clean

pre-binary: build $(dh_mak_deps)
	dh_testversion $(dh_version)
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	cd $(BUILD_TREE) && $(MAKE) TMPROOT=`pwd`/../../debian/tmp install

	# Name space cleansing
	mv debian/tmp/usr/bin/ud debian/tmp/usr/bin/ud-openldap
	mv debian/tmp/usr/share/man/man1/ud.1 debian/tmp/usr/share/man/man1/ud-openldap.1
	mv debian/tmp/usr/sbin/in.xfingerd debian/tmp/usr/sbin/in.ldapfingerd
	mv debian/tmp/usr/share/man/man8/in.xfingerd.8 debian/tmp/usr/share/man/man8/in.ldapfingerd.8

	dh_movefiles

	# Cleanup
	rmdir debian/tmp/usr/{lib,include/openldap,include,share/{man/man3,openldap}}
	rmdir debian/tmp/var/openldap-ldbm
	rm -f debian/tmp/etc/openldap/*.default
	rm -f debian/tmp/usr/share/man/man8/{edb2ldif.8,ldapd.8}

	# Some special files
	$(ID) debian/local/slapd.conf debian/tmp/etc/openldap/slapd.conf
	$(ID) debian/local/Netscape-Roaming-HOWTO \
		debian/tmp/usr/share/doc/openldapd/
	$(ID) -D debian/local/slapd.conf \
		debian/tmp/usr/share/doc/openldapd/slapd.conf.example
	$(ID) $(BUILD_TREE)/servers/slapd/schema/*.conf \
		debian/tmp/etc/openldap/

	# Lot's of docs for the gateways package, handle manually
	for doc in $(BUILD_TREE)/clients/mail500/{README,sendmail.cf}; do \
		$(ID) -D $${doc} $(gwdoc)/mail500/$${doc}; \
	done
	$(ID) $(BUILD_TREE)/clients/fax500/README ${gwdoc}/README.fax500
	$(ID) $(BUILD_TREE)/clients/gopher/README ${gwdoc}/README.go500
	$(ID) $(BUILD_TREE)/clients/rcpt500/README ${gwdoc}/README.rcpt500

	# Debian specific objectClasses and attributes
	$(ID) debian/local/debian.{at,oc}.conf debian/tmp/etc/openldap/
	$(ID) debian/local/netscape_roaming.{at,oc}.conf debian/tmp/etc/openldap/

binary-indep: pre-binary $(dh_mak_deps)
	dh_testversion $(dh_version)
	dh_testdir -i
	dh_testroot -i
	dh_installdirs -i
	dh_installdocs -plibopenldap-runtime
	dh_installdocs -pldap-rfc $(BUILD_TREE)/doc/rfc
	dh_installdebconf -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_builddeb -i

binary-arch: pre-binary slapd_db_check $(dh_mak_deps)
	dh_testversion $(dh_version)
	dh_testdir -a
	dh_testroot -a
	dh_installdirs -a
	dh_installdocs -a
	dh_installdebconf -a
	dh_installchangelogs -a $(BUILD_TREE)/CHANGES
	dh_undocumented -a
	dh_installexamples -popenldapd $(BUILD_TREE)/servers/slapd/schema/nis_sample.ldif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -a
endif
	dh_installinit -a -n # We use our own routines, but let dh install it
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_makeshlibs -a
	dh_md5sums -a
	dh_builddeb -a

$(dh_mak_deps): $(dh_gen_deps)
	perl debian/scripts/dh_split

slapd_db_check: $(STAMP_DIR)/slapd_db_check-stamp
$(STAMP_DIR)/slapd_db_check-stamp:
ifneq (,$(findstring $(DEB_HOST_GNU_TYPE),$(patsubst %,%-linux,m68k i386)))
	test=`ldd debian/tmp/usr/sbin/slapd | grep libdb.so.2`; \
	if [ "x$$test" = "x" ]; then \
		echo slapd is not linked to libdb.so.2; \
		exit 1; \
	fi
endif

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary pre-binary

## openldap 2.4.18

=== contrib/slapd-modules/smbk5pwd/Makefile ===
# $OpenLDAP: pkg/ldap/contrib/slapd-modules/smbk5pwd/Makefile,v 1.1.6.3 2009/09/01 22:53:30 quanah Exp $
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 1998-2009 The OpenLDAP Foundation.
# Copyright 2004 Howard Chu, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

LIBTOOL=../../../libtool
OPT=-g -O2
CC=gcc

# Omit DO_KRB5 or DO_SAMBA if you don't want to support it.
DEFS=-DDO_KRB5 -DDO_SAMBA

HEIMDAL_INC=-I/usr/heimdal/include
SSL_INC=
LDAP_INC=-I../../../include -I../../../servers/slapd
INCS=$(LDAP_INC) $(HEIMDAL_INC) $(SSL_INC)

HEIMDAL_LIB=-L/usr/heimdal/lib -lkrb5 -lkadm5srv
SSL_LIB=-lcrypto
LDAP_LIB=-lldap_r -llber
LIBS=$(LDAP_LIB) $(HEIMDAL_LIB) $(SSL_LIB)

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

all:	smbk5pwd.la


smbk5pwd.lo:	smbk5pwd.c
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $?

smbk5pwd.la:	smbk5pwd.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info 0:0:0 \
	-rpath $(libdir) -module -o $@ $? $(LIBS)

clean:
	rm -f smbk5pwd.lo smbk5pwd.la

install: smbk5pwd.la
	mkdir -p $(DESTDIR)$(moduledir)
	$(LIBTOOL) --mode=install cp smbk5pwd.la $(DESTDIR)$(moduledir)

## openldap 2.4.21

=== contrib/slapd-modules/allowed/Makefile ===
# $OpenLDAP: pkg/ldap/contrib/slapd-modules/allowed/Makefile,v 1.1.2.2 2009/08/25 23:39:37 quanah Exp $
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 1998-2009 The OpenLDAP Foundation.
# Copyright 2004 Howard Chu, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

PREFIX=/opt/openldap-HEAD

LIBTOOL=../../../libtool
OPT=-g -O2
CC=gcc

DEFS=-DSLAPD_OVER_ALLOWED=SLAPD_MOD_DYNAMIC

LDAP_INC=-I../../../include -I../../../servers/slapd
INCS=$(LDAP_INC)

LDAP_LIB=-lldap_r -llber -L../../../lib
LDAP_LIB=
LIBS=$(LDAP_LIB)

all:	allowed.la


allowed.lo:	allowed.c
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $?

allowed.la:	allowed.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info 0:0:0 \
	-rpath $(PREFIX)/lib -module -o $@ $? $(LIBS)

clean:
	rm -f allowed.o allowed.lo allowed.la

install: allowed.la
	mkdir -p $(PREFIX)/libexec/openldap
	$(LIBTOOL) --mode=install cp allowed.la $(PREFIX)/libexec/openldap
	$(LIBTOOL) --finish $(PREFIX)/libexec/openldap

=== contrib/slapd-modules/nssov/Makefile ===
# $OpenLDAP: pkg/ldap/contrib/slapd-modules/nssov/Makefile,v 1.1.2.5 2009/09/01 22:53:30 quanah Exp $
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 2008-2009 The OpenLDAP Foundation.
# Portions Copyright 2008 Howard Chu, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

# Path to the OpenLDAP source tree
LDAPSRC=../../..

# Path to the OpenLDAP object tree - same as above unless
# you're doing out-of-tree builds.
LDAPOBJ=../../..

LIBTOOL=$(LDAPOBJ)/libtool
OPT=-g -O2
CC=gcc

LDAP_INC=-I$(LDAPOBJ)/include -I$(LDAPSRC)/include -I$(LDAPSRC)/servers/slapd
NLDAPD_INC=-Inss-ldapd
INCS=$(LDAP_INC) $(NLDAPD_INC)

LDAP_LIB=-lldap_r -llber
LIBS=$(LDAP_LIB)

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)
sysconfdir = $(prefix)/etc$(ldap_subdir)
schemadir = $(sysconfdir)/schema

all:	install

XOBJS = tio.lo

OBJS = alias.lo ether.lo group.lo host.lo netgroup.lo network.lo \
	nssov.lo passwd.lo protocol.lo rpc.lo service.lo shadow.lo pam.lo

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $<

tio.lo:	nss-ldapd/common/tio.c
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(NLDAPD_INC) -c $?

$(OBJS):	nssov.h

nssov.la:	$(OBJS) $(XOBJS)
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info 0:0:0 \
	-rpath $(libdir) -module -o $@ $(OBJS) $(XOBJS) $(LIBS)

install: nssov.la
	mkdir -p $(DESTDIR)$(moduledir)
	$(LIBTOOL) --mode=install cp nssov.la $(DESTDIR)$(moduledir)
	cp ldapns.schema $(DESTDIR)$(schemadir)

clean:
	rm -f *.*o *.la .libs/*

=== contrib/slapd-modules/passwd/Makefile ===
# $OpenLDAP: pkg/ldap/contrib/slapd-modules/passwd/Makefile,v 1.2.2.2 2009/04/28 01:06:14 quanah Exp $
CPPFLAGS+=-I../../../include -I../../../servers/slapd

all: kerberos.la netscape.la radius.la

kerberos.lo:	kerberos.c
	$(LIBTOOL) --mode=compile $(CC) $(CPPFLAGS) -DHAVE_KRB5 -Wall -c $?

kerberos.la:	kerberos.lo
	$(LIBTOOL) --mode=link $(CC) -version-info 0:0:0 \
	-rpath $(PREFIX)/lib -module -o $@ $? -lkrb5

netscape.lo:	netscape.c
	$(LIBTOOL) --mode=compile $(CC) $(CPPFLAGS) -Wall -c $?

netscape.la:	netscape.lo
	$(LIBTOOL) --mode=link $(CC) -version-info 0:0:0 \
	-rpath $(PREFIX)/lib -module -o $@ $? 

radius.lo:	radius.c
	$(LIBTOOL) --mode=compile $(CC) $(CPPFLAGS) -Wall -c $?

radius.la:	radius.lo
	$(LIBTOOL) --mode=link $(CC) -version-info 0:0:0 \
	-rpath $(PREFIX)/lib -module -o $@ $? -lradius

clean:
	rm -f kerberos.lo kerberos.la
	rm -f netscape.lo netscape.la
	rm -f radius.lo radius.la

install: kerberos.la netscape.la radius.la
	mkdir -p $(PREFIX)/lib/openldap
	$(LIBTOOL) --mode=install cp kerberos.la $(PREFIX)/lib/openldap
	$(LIBTOOL) --mode=install cp netscape.la $(PREFIX)/lib/openldap
	$(LIBTOOL) --mode=install cp radius.la $(PREFIX)/lib/openldap
	$(LIBTOOL) --finish $(PREFIX)/lib

=== contrib/slapd-modules/proxyOld/Makefile ===
# $OpenLDAP: pkg/ldap/contrib/slapd-modules/proxyOld/Makefile,v 1.1.2.1 2009/08/17 21:48:59 quanah Exp $
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 2005-2009 The OpenLDAP Foundation.
# Portions Copyright 2005 Howard Chu, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.
#
LIBTOOL=../../../libtool
ROOT=../../../../..
rundir=$(LIB)
instdir=$(LIB)/openldap
CFLAGS=-g -O2
CC=$(C_CC)
INSTALL=../../../build/shtool install -c
LTVER=1:0:0

INCS=-I../../../include -I../../../servers/slapd -I ../../../../../opt/symas/include

LIBS=../../../libraries/libldap_r/libldap_r.la ../../../libraries/liblber/liblber.la

all:	proxyOld.la

proxyOld.lo:	proxyOld.c
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(DEFS) $(INCS) -c $?

proxyOld.la:	proxyOld.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) $(LDFLAGS) -version-info $(LTVER) \
	-rpath $(rundir) -module -o $@ $? $(LIBS) $(LIBEXTRAS)

install:
	-mkdir $(DESTDIR)$(instdir)
	$(LIBTOOL) --mode=install $(INSTALL) -m 644 proxyOld.la $(DESTDIR)$(instdir)

clean:
	rm -rf *.o *.lo *.la .libs .libt

veryclean: clean

## openldap 2.4.25

=== contrib/slapd-modules/allowed/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# $OpenLDAP: pkg/ldap/contrib/slapd-modules/allowed/Makefile,v 1.1.2.2 2009/08/25 23:39:37 quanah Exp $
+# $OpenLDAP: pkg/ldap/contrib/slapd-modules/allowed/Makefile,v 1.1.2.4 2011/01/04 23:49:30 kurt Exp $
 # This work is part of OpenLDAP Software <http://www.openldap.org/>.
 #
-# Copyright 1998-2009 The OpenLDAP Foundation.
+# Copyright 1998-2011 The OpenLDAP Foundation.
 # Copyright 2004 Howard Chu, Symas Corp. All Rights Reserved.
 #
 # Redistribution and use in source and binary forms, with or without

=== contrib/slapd-modules/cloak/Makefile ===
# $OpenLDAP: pkg/ldap/contrib/slapd-modules/cloak/Makefile,v 1.2.2.2 2011/03/24 18:15:01 quanah Exp $
CPPFLAGS+=-I../../../include -I../../../servers/slapd 
CPPFLAGS+=-DSLAPD_OVER_CLOAK=SLAPD_MOD_DYNAMIC
LIBS=-lldap_r -llber -lcrypto
LIBTOOL=../../../libtool

all: cloak.la

cloak.lo:    cloak.c
	$(LIBTOOL) --mode=compile $(CC) $(CPPFLAGS) -c $?

cloak.la:    cloak.lo
	$(LIBTOOL) --mode=link $(CC) -version-info 0:0:0 \
		   -rpath $(PREFIX)/lib -module -o $@ $? $(LIBS)

clean:
	rm cloak.lo cloak.la

=== contrib/slapd-modules/comp_match/Makefile ===
# $OpenLDAP: pkg/ldap/contrib/slapd-modules/comp_match/Makefile,v 1.11.2.6 2011/01/04 23:49:31 kurt Exp $
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 2003-2011 The OpenLDAP Foundation.
# Portions Copyright 2004 by IBM Corporation.
# All rights reserved.

# Copyright 2004 Sang Seok Lim, IBM Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

topsrcdir = ../../..
snaccdir = ../$(topsrcdir)/snacc
openssldir = /usr/local/include/openssl

LIBTOOL=$(topsrcdir)/libtool
OPT=-g -O2 -DLDAP_COMPONENT
CC=gcc

SNACC_INC=-I$(snaccdir) -I$(snaccdir)/c-lib/inc
LDAP_INC=-I$(topsrcdir)/include -I$(topsrcdir)/servers/slapd -I$(topbuilddir)/include
OPENSSL_INC=-I$(openssldir)
INCS=$(LDAP_INC) $(SNACC_INC) $(OPENSSL_INC)

SNACC_LIB=$(snaccdir)/c-lib/libcasn1.a
SSL_LIB=/usr/local/lib/lcrypto

LIBS=$(LDAP_LIB) $(SNACC_LIB) $(SSL_LIB)

all:	compmatch.la


componentlib.lo:	componentlib.c
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(INCS) -c $?

certificate.lo:	certificate.c
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(INCS) -c $?

crl.lo:	crl.c
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(INCS) -c $?

authorityKeyIdentifier.lo:	authorityKeyIdentifier.c
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(INCS) -c $?

asn_to_syn_mr.lo:	asn_to_syn_mr.c
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(INCS) -c $?

init.lo:	init.c
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(INCS) -c $?

compmatch.la:	componentlib.lo init.lo certificate.lo asn_to_syn_mr.lo authorityKeyIdentifier.lo crl.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) $(LIBS) -version-info 0:0:0 \
	-rpath /usr/local/libexec/openldap -module -o $@ $? $(LIBS)

clean:
	\rm compmatch.la componentlib.lo certificate.lo asn_to_syn_mr.lo authorityKeyIdentifier.lo crl.lo\
		init.o init.lo componentlib.o certificate.o asn_to_syn_mr.o authorityKeyIdentifier.o crl.o
install:
	cp -r .libs $(topsrcdir)/tests/data/comp_libs
	cp compmatch.la  $(topsrcdir)/tests/data/comp_libs

=== contrib/slapd-modules/lastbind/Makefile ===
# $OpenLDAP: pkg/ldap/contrib/slapd-modules/lastbind/Makefile,v 1.2.2.4 2011/03/25 19:39:47 quanah Exp $
# Copyright 2009 Jonathan Clarke <jonathan@phillipoux.net>.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

CPPFLAGS+=-I../../../include -I../../../servers/slapd 
CPPFLAGS+=-DSLAPD_OVER_LASTBIND=SLAPD_MOD_DYNAMIC
#LIBTOOL=libtool
LIBTOOL=../../../libtool

prefix=/usr/local

all: lastbind.la

lastbind.lo:    lastbind.c
	$(LIBTOOL) --mode=compile $(CC) $(CPPFLAGS) -Wall -c $?

lastbind.la:    lastbind.lo
	$(LIBTOOL) --mode=link $(CC) -version-info 0:0:0 \
		   -rpath $(prefix)/lib -module -o $@ $?

clean:
	rm -rf lastbind.lo lastbind.la lastbind.o .libs/

install: lastbind.la
	mkdir -p $(prefix)/libexec/openldap
	$(LIBTOOL) --mode=install cp lastbind.la $(prefix)/libexec/openldap

=== contrib/slapd-modules/noopsrch/Makefile ===
# $OpenLDAP: pkg/ldap/contrib/slapd-modules/noopsrch/Makefile,v 1.1.2.3 2011/01/04 23:49:32 kurt Exp $
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 1998-2011 The OpenLDAP Foundation.
# Copyright 2004 Howard Chu, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

LIBTOOL=../../../libtool
OPT=-DSLAPD_OVER_NOOPSRCH=2 -g -O2
#LIBTOOL=../../../../ldap-devel/libtool
#OPT=-DSLAPD_OVER_NOOPSRCH=2 -g -O0
CC=gcc

LDAP_INC=-I../../../include -I../../../servers/slapd
#LDAP_INC=-I../../../include -I../../../servers/slapd -I../../../../ldap-devel/include
INCS=$(LDAP_INC)

LDAP_LIB=-lldap_r -llber
LIBS=$(LDAP_LIB)

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

all:	noopsrch.la


noopsrch.lo:	noopsrch.c
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $?

noopsrch.la:	noopsrch.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info 0:0:0 \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -f noopsrch.lo noopsrch.la

install: noopsrch.la
	mkdir -p $(DESTDIR)$(moduledir)
	$(LIBTOOL) --mode=install cp noopsrch.la $(DESTDIR)$(moduledir)

=== contrib/slapd-modules/proxyOld/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# $OpenLDAP: pkg/ldap/contrib/slapd-modules/proxyOld/Makefile,v 1.1.2.1 2009/08/17 21:48:59 quanah Exp $
+# $OpenLDAP: pkg/ldap/contrib/slapd-modules/proxyOld/Makefile,v 1.1.2.3 2011/01/04 23:49:35 kurt Exp $
 # This work is part of OpenLDAP Software <http://www.openldap.org/>.
 #
-# Copyright 2005-2009 The OpenLDAP Foundation.
+# Copyright 2005-2011 The OpenLDAP Foundation.
 # Portions Copyright 2005 Howard Chu, Symas Corp. All Rights Reserved.
 #
 # Redistribution and use in source and binary forms, with or without

=== contrib/slapd-modules/samba4/Makefile ===
# $OpenLDAP: pkg/ldap/contrib/slapd-modules/samba4/Makefile,v 1.3.2.4 2011/01/04 23:49:36 kurt Exp $
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 1998-2011 The OpenLDAP Foundation.
# Copyright 2004 Howard Chu, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

LDAP_SRC=../../..
# craft according to your installation
LDAP_BUILD=../../..

LIBTOOL=$(LDAP_BUILD)/libtool
OPT=-g -O2
CC=gcc

DEFS=-DSLAPD_OVER_RDNVAL=2 -DSLAPD_OVER_PGUID=2 -DSLAPD_OVER_VERNUM=2

LDAP_INC=-I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd \
	-I$(LDAP_BUILD)/include
INCS=$(LDAP_INC)

LDAP_LIB=-lldap_r -llber
LIBS=$(LDAP_LIB)

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

PROGRAMS = pguid.la rdnval.la vernum.la

all:	$(PROGRAMS)

pguid.lo:	pguid.c
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $?

pguid.la:	pguid.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info 0:0:0 \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

rdnval.lo:	rdnval.c
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $?

rdnval.la:	rdnval.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info 0:0:0 \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

vernum.lo:	vernum.c
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $?

vernum.la:	vernum.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info 0:0:0 \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -f \
		pguid.o pguid.lo pguid.la \
		rdnval.o rdnval.lo rdnval.la \
		vernum.o vernum.lo vernum.la

install: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

=== contrib/slapd-modules/smbk5pwd/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# $OpenLDAP: pkg/ldap/contrib/slapd-modules/smbk5pwd/Makefile,v 1.1.6.3 2009/09/01 22:53:30 quanah Exp $
+# $OpenLDAP: pkg/ldap/contrib/slapd-modules/smbk5pwd/Makefile,v 1.1.6.6 2011/01/04 23:49:36 kurt Exp $
 # This work is part of OpenLDAP Software <http://www.openldap.org/>.
 #
-# Copyright 1998-2009 The OpenLDAP Foundation.
+# Copyright 1998-2011 The OpenLDAP Foundation.
 # Copyright 2004 Howard Chu, Symas Corp. All Rights Reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -45,7 +45,7 @@
 
 smbk5pwd.la:	smbk5pwd.lo
 	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info 0:0:0 \
-	-rpath $(libdir) -module -o $@ $? $(LIBS)
+	-rpath $(moduledir) -module -o $@ $? $(LIBS)
 
 clean:
 	rm -f smbk5pwd.lo smbk5pwd.la

=== doc/guide/admin/Makefile ===
## Makefile for OpenLDAP Administrator's Guide
# $OpenLDAP: pkg/openldap-guide/admin/Makefile,v 1.5.2.13 2011/01/04 23:49:37 kurt Exp $
## This work is part of OpenLDAP Software <http://www.openldap.org/>.
##
## Copyright 2005-2011 The OpenLDAP Foundation.
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted only as authorized by the OpenLDAP
## Public License.
##
## A copy of this license is available in the file LICENSE in the
## top-level directory of the distribution or, alternatively, at
## <http://www.OpenLDAP.org/license.html>.
all: guide.html index.html

# for website building (for webmaster use, don't change)
www: guide.html index.html OpenLDAP-Admin-Guide.pdf

sdf-src: \
	../plain.sdf \
	../preamble.sdf \
	abstract.sdf \
	access-control.sdf \
	appendix-changes.sdf \
	appendix-common-errors.sdf \
	appendix-configs.sdf \
	appendix-contrib.sdf \
	appendix-deployments.sdf \
	appendix-ldap-result-codes.sdf \
	appendix-recommended-versions.sdf \
	appendix-upgrading.sdf \
	backends.sdf \
	config.sdf \
	dbtools.sdf \
	glossary.sdf \
	guide.sdf \
	install.sdf \
	intro.sdf \
	maintenance.sdf \
	master.sdf \
	monitoringslapd.sdf \
	overlays.sdf \
	preface.sdf \
	quickstart.sdf \
	referrals.sdf \
	replication.sdf \
	runningslapd.sdf \
	sasl.sdf \
	schema.sdf \
	security.sdf \
	slapdconfig.sdf \
	title.sdf \
	tls.sdf \
	troubleshooting.sdf \
	tuning.sdf

sdf-img: \
	../images/LDAPlogo.gif \
	allmail-en.png \
	allusersgroup-en.png \
	config_dit.png \
	config_local.png \
	config_ref.png \
	config_repl.png \
	dual_dc.png \
	intro_dctree.png \
	intro_tree.png \
	push-based-complete.png \
	push-based-standalone.png \
	refint.png \
	set-following-references.png \
	set-memberUid.png \
	set-recursivegroup.png 

guide.html: guide.sdf sdf-src sdf-img
	sdf -2html guide.sdf

index.html: index.sdf sdf-src sdf-img
	sdf -2topics index.sdf

admin.html: admin.sdf sdf-src sdf-img
	sdf -DPDF -2html admin.sdf

guide.pdf: admin.html guide.book
	htmldoc --batch guide.book -f guide.pdf

OpenLDAP-Admin-Guide.pdf: admin.html guide.book
	htmldoc --batch guide.book -f OpenLDAP-Admin-Guide.pdf

clean: 
	rm -f *.pdf *.html *~ *.bak

## openldap 2.4.28

=== libraries/libmdb/Makefile ===
CC	= gcc
W	= -W -Wall -Wno-unused-parameter -Wbad-function-cast
OPT = -O2 -g
CFLAGS	= -pthread $(OPT) $(W) $(XCFLAGS)
LDLIBS	=
SOLIBS	=

PROGS	= mdb_stat mtest mtest2 mtest3 mtest4 mtest5
all:	libmdb.a libmdb.so $(PROGS)

clean:
	rm -rf $(PROGS) *.[ao] *.so *~ testdb

test:	all
	mkdir testdb
	./mtest && ./mdb_stat testdb

libmdb.a:	mdb.o midl.o
	ar rs $@ mdb.o midl.o

libmdb.so:	mdb.o midl.o
	gcc -shared -o $@ mdb.o midl.o $(SOLIBS)

mdb_stat: mdb_stat.o libmdb.a
mtest:    mtest.o    libmdb.a
mtest2:	mtest2.o libmdb.a
mtest3:	mtest3.o libmdb.a
mtest4:	mtest4.o libmdb.a
mtest5:	mtest5.o libmdb.a
mtest6:	mtest6.o libmdb.a

mdb.o: mdb.c mdb.h midl.h
	$(CC) $(CFLAGS) -fPIC $(CPPFLAGS) -c mdb.c

midl.o: midl.c midl.h
	$(CC) $(CFLAGS) -fPIC $(CPPFLAGS) -c midl.c

%:	%.o
	$(CC) $(CFLAGS) $(LDFLAGS) $^ $(LDLIBS) -o $@

%.o:	%.c mdb.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<

=== contrib/slapd-modules/allowed/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $OpenLDAP: pkg/ldap/contrib/slapd-modules/allowed/Makefile,v 1.1.2.4 2011/01/04 23:49:30 kurt Exp $
+# $OpenLDAP$
 # This work is part of OpenLDAP Software <http://www.openldap.org/>.
 #
 # Copyright 1998-2011 The OpenLDAP Foundation.

=== contrib/slapd-modules/comp_match/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $OpenLDAP: pkg/ldap/contrib/slapd-modules/comp_match/Makefile,v 1.11.2.6 2011/01/04 23:49:31 kurt Exp $
+# $OpenLDAP$
 # This work is part of OpenLDAP Software <http://www.openldap.org/>.
 #
 # Copyright 2003-2011 The OpenLDAP Foundation.

=== contrib/slapd-modules/dupent/Makefile ===
# $OpenLDAP$
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 1998-2011 The OpenLDAP Foundation.
# Copyright 2004 Howard Chu, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

LIBTOOL=../../../libtool
OPT=-DSLAPD_OVER_DUPENT=2 -g -O2
#LIBTOOL=../../../../ldap-devel/libtool
#OPT=-DSLAPD_OVER_DUPENT=2 -g -O0
CC=gcc

LDAP_INC=-I../../../include -I../../../servers/slapd
#LDAP_INC=-I../../../include -I../../../servers/slapd -I../../../../ldap-devel/include
INCS=$(LDAP_INC)

LDAP_LIB=-lldap_r -llber
LIBS=$(LDAP_LIB)

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

all:	dupent.la


dupent.lo:	dupent.c
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $?

dupent.la:	dupent.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info 0:0:0 \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -f dupent.lo dupent.la

install: dupent.la
	mkdir -p $(DESTDIR)$(moduledir)
	$(LIBTOOL) --mode=install cp dupent.la $(DESTDIR)$(moduledir)

=== contrib/slapd-modules/noopsrch/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $OpenLDAP: pkg/ldap/contrib/slapd-modules/noopsrch/Makefile,v 1.1.2.3 2011/01/04 23:49:32 kurt Exp $
+# $OpenLDAP$
 # This work is part of OpenLDAP Software <http://www.openldap.org/>.
 #
 # Copyright 1998-2011 The OpenLDAP Foundation.

=== contrib/slapd-modules/nssov/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# $OpenLDAP: pkg/ldap/contrib/slapd-modules/nssov/Makefile,v 1.1.2.5 2009/09/01 22:53:30 quanah Exp $
+# $OpenLDAP$
 # This work is part of OpenLDAP Software <http://www.openldap.org/>.
 #
-# Copyright 2008-2009 The OpenLDAP Foundation.
+# Copyright 2008-2011 The OpenLDAP Foundation.
 # Portions Copyright 2008 Howard Chu, Symas Corp. All Rights Reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -24,7 +24,7 @@
 CC=gcc
 
 LDAP_INC=-I$(LDAPOBJ)/include -I$(LDAPSRC)/include -I$(LDAPSRC)/servers/slapd
-NLDAPD_INC=-Inss-ldapd
+NLDAPD_INC=-Inss-pam-ldapd
 INCS=$(LDAP_INC) $(NLDAPD_INC)
 
 LDAP_LIB=-lldap_r -llber
@@ -40,7 +40,7 @@
 sysconfdir = $(prefix)/etc$(ldap_subdir)
 schemadir = $(sysconfdir)/schema
 
-all:	install
+all:	nssov.la
 
 XOBJS = tio.lo
 
@@ -52,8 +52,8 @@
 .c.lo:
 	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $<
 
-tio.lo:	nss-ldapd/common/tio.c
-	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(NLDAPD_INC) -c $?
+tio.lo:	nss-pam-ldapd/tio.c
+	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $?
 
 $(OBJS):	nssov.h
 
@@ -68,3 +68,4 @@
 
 clean:
 	rm -f *.*o *.la .libs/*
+	rm -rf .libs

=== contrib/slapd-modules/proxyOld/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $OpenLDAP: pkg/ldap/contrib/slapd-modules/proxyOld/Makefile,v 1.1.2.3 2011/01/04 23:49:35 kurt Exp $
+# $OpenLDAP$
 # This work is part of OpenLDAP Software <http://www.openldap.org/>.
 #
 # Copyright 2005-2011 The OpenLDAP Foundation.

=== contrib/slapd-modules/samba4/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $OpenLDAP: pkg/ldap/contrib/slapd-modules/samba4/Makefile,v 1.3.2.4 2011/01/04 23:49:36 kurt Exp $
+# $OpenLDAP$
 # This work is part of OpenLDAP Software <http://www.openldap.org/>.
 #
 # Copyright 1998-2011 The OpenLDAP Foundation.

=== contrib/slapd-modules/smbk5pwd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $OpenLDAP: pkg/ldap/contrib/slapd-modules/smbk5pwd/Makefile,v 1.1.6.6 2011/01/04 23:49:36 kurt Exp $
+# $OpenLDAP$
 # This work is part of OpenLDAP Software <http://www.openldap.org/>.
 #
 # Copyright 1998-2011 The OpenLDAP Foundation.
@@ -16,8 +16,8 @@
 OPT=-g -O2
 CC=gcc
 
-# Omit DO_KRB5 or DO_SAMBA if you don't want to support it.
-DEFS=-DDO_KRB5 -DDO_SAMBA
+# Omit DO_KRB5, DO_SAMBA or DO_SHADOW if you don't want to support it.
+DEFS=-DDO_KRB5 -DDO_SAMBA -DDO_SHADOW
 
 HEIMDAL_INC=-I/usr/heimdal/include
 SSL_INC=

=== doc/guide/admin/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ## Makefile for OpenLDAP Administrator's Guide
-# $OpenLDAP: pkg/openldap-guide/admin/Makefile,v 1.5.2.13 2011/01/04 23:49:37 kurt Exp $
+# $OpenLDAP$
 ## This work is part of OpenLDAP Software <http://www.openldap.org/>.
 ##
 ## Copyright 2005-2011 The OpenLDAP Foundation.
@@ -63,9 +63,13 @@
 	config_local.png \
 	config_ref.png \
 	config_repl.png \
+	delta-syncrepl.png \
 	dual_dc.png \
 	intro_dctree.png \
 	intro_tree.png \
+	ldap-sync-refreshandpersist.png \
+	ldap-sync-refreshonly.png \
+	n-way-multi-master.png \
 	push-based-complete.png \
 	push-based-standalone.png \
 	refint.png \

=== servers/slapd/back-sql/rdbms_depend/timesten/dnreverse/Makefile ===
## Copyright 1997-2011 The OpenLDAP Foundation, All Rights Reserved.
##  COPYING RESTRICTIONS APPLY, see COPYRIGHT file

#
# Build TimesTen ODBC Sample Programs for Solaris 2.5.1.
# (c) Copyright 1996-1998, TimesTen Performance Software.
# All rights reserved.
## Note: This file was contributed by Sam Drake of TimesTen Performance
##       Software for use and redistribution as an intregal part of
##       OpenLDAP Software.  -Kdz

CPLUSPLUS = CC
TTCLASSES = ../../../../../../../../../cs/classes
ODBC	=	/opt/TimesTen4.1/32
CFLAGS	=	-g -I$(ODBC)/include -I. -I$(TTCLASSES) -DUNIX
LDFLAGS	=	-g
DIRLIBS	=	$(TTCLASSES)/ttclasses.a -L $(ODBC)/lib -R $(ODBC)/lib -ltten -lpthread -lm -lrt
XLALIB  =       -L $(ODBC)/lib -lxla

DIRPROGS=	dnreverse 

DNREVERSE=	dnreverse.o

#
#	Top-level targets
#

all:		$(DIRPROGS)

direct:		$(DIRPROGS)

clean:          
		rm -rf $(DIRPROGS) *.o


#
#	Direct-linked programs
#

dnreverse:	$(DNREVERSE)
		$(CPLUSPLUS) -o dnreverse $(LDFLAGS) $(DNREVERSE) $(DIRLIBS) $(XLALIB)

#
#	.o files
#

dnreverse.o:	dnreverse.cpp
		$(CPLUSPLUS) $(CFLAGS) -c dnreverse.cpp

## openldap 2.4.31

=== contrib/slapd-modules/addpartial/Makefile ===
# $OpenLDAP$
OPENLDAP_SRC=../../..
OPENLDAP_BLD=../../..
CPPFLAGS+=-I${OPENLDAP_SRC}/include -I${OPENLDAP_SRC}/servers/slapd -I${OPENLDAP_BLD}/include
CC=gcc

all: addpartial-overlay.so

addpartial-overlay.so: addpartial-overlay.c
	$(CC) -shared $(CPPFLAGS) $(LDFLAGS) -Wall -o $@ $?

clean:
	rm addpartial-overlay.so

=== contrib/slapd-modules/proxyOld/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # $OpenLDAP$
 # This work is part of OpenLDAP Software <http://www.openldap.org/>.
 #
-# Copyright 2005-2011 The OpenLDAP Foundation.
+# Copyright 2005-2012 The OpenLDAP Foundation.
 # Portions Copyright 2005 Howard Chu, Symas Corp. All Rights Reserved.
 #
 # Redistribution and use in source and binary forms, with or without
